"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.includeResponsiveProps = void 0;
/**
 * Extracts the element props out of all props.
 */
const extractElementProps = (props, elementProps) => {
    const result = {};
    elementProps.forEach(group => {
        group.forEach(item => {
            if (props[item]) {
                result[item] = props[item];
            }
        });
    });
    return result;
};
/**
 * Includes responsive props.
 */
const includeResponsiveProps = (arr) => {
    const result = [];
    arr.forEach(item => result.push(item, `${item}Sm`, `${item}Md`, `${item}Lg`, `${item}Xl`));
    return result;
};
exports.includeResponsiveProps = includeResponsiveProps;
exports.default = extractElementProps;
