import { Partial } from '../..';
import { OptionalThemeAttributes } from '../util';
interface DefaultPaletteItemAttributes {
    main: string;
    background: string;
    font: string;
    shadow: string;
    dark: string;
    darker: string;
    darkest: string;
    light: string;
    lighter: string;
    lightest: string;
    dynamic: string;
    dynamicer: string;
    dynamicest: string;
    soft: string;
    softFont: string;
    softDark: string;
    softDarker: string;
    softDarkest: string;
    waveEffect: string;
}
export declare type PaletteItem = DefaultPaletteItemAttributes & OptionalThemeAttributes;
export declare type InputPaletteItem = string | Partial<PaletteItem>;
interface PaletteAttributes<T> {
    primary?: T;
    secondary?: T;
    success?: T;
    danger?: T;
    warning?: T;
    info?: T;
    light?: T;
    dark?: T;
    dynamic?: T;
    '!dynamic'?: T;
    [key: string]: T;
}
export declare type InputPalette = PaletteAttributes<InputPaletteItem>;
declare type Palette = PaletteAttributes<PaletteItem>;
export default Palette;
