import Color from 'color';
import Theme from '../types/theme';
/**
 * Creates a color object by value.
 */
export declare const getColor: (value: string) => Color<string>;
/**
 * Gets font color by value.
 */
export declare const getFontColor: (value: string, theme: Theme) => string;
/**
 * Mixes two colors.
 * If weight is a negative number, mixes value with white.
 * If weight is a positive number, mixes value with black.
 * Weight could be an three-length array. It applies different weight for red, green, and blue respectively.
 */
export declare const mix: (value: string, weight: number | number[]) => string;
